Opened 10 years ago

Closed 10 years ago

Last modified 10 years ago

#7389 closed defect (invalid)

schedule is set to 10 recordings max but myth keeps recording more

Reported by: ryan.goat@… Owned by: gigem
Priority: minor Milestone: unknown
Component: MythTV - Scheduling Version: head
Severity: medium Keywords:
Cc: Ticket locked: no

Description

I have a recording schedule that is set to keep ten episodes of the title. It is my understanding that if there are ten episodes in current recordings myth should not schedule any new recordings of this title until I delete one of the episodes. But myth continues to schedule every new episode to be recorded.

Details: Recordings schedule for "Married ... with children", record any time on channel, max 10 recordings (see file: MythWeb_record_10max.pdf). There were twenty recorded episodes yesterday. I deleted eleven, leaving nine. So Myth should have recorded one and stopped. Last night Myth recorded two episodes, so there are currently eleven recorded (see file: MythWeb_recorded_11eps.pdf) And Myth is currently scheduled to record a further 63 episodes (see file: MythWeb_Upcoming_63eps.pdf)

mythfrontend --version: MythTV Version : 22492 MythTV Branch : branches/release-0-22-fixes Network Protocol : 50 Library API : 0.22.20091008-1 QT Version : 4.5.0 Options compiled in:

linux release using_oss using_alsa using_backend using_directfb using_dvb using_frontend using_hdhomerun using_hdpvr using_iptv using_ivtv using_joystick_menu using_lirc using_mheg using_opengl_video using_opengl_vsync using_qtwebkit using_v4l using_x11 using_xrandr using_xv using_bindings_perl using_bindings_python using_opengl using_vdpau using_ffmpeg_threads using_live using_mheg

Attachments (3)

MythWeb_record_10max.pdf (50.4 KB) - added by ryan.goat@… 10 years ago.
screen shot showing recording schedule with max 10 episodes
MythWeb_recorded_11eps.pdf (92.4 KB) - added by ryan.goat@… 10 years ago.
screen shot showing myth currently has 11 episodes recorded
MythWeb_Upcoming_63eps.pdf (45.9 KB) - added by ryan.goat@… 10 years ago.
screen shot showing myth is scheduled to record 63 more episodes

Download all attachments as: .zip

Change History (10)

Changed 10 years ago by ryan.goat@…

Attachment: MythWeb_record_10max.pdf added

screen shot showing recording schedule with max 10 episodes

Changed 10 years ago by ryan.goat@…

Attachment: MythWeb_recorded_11eps.pdf added

screen shot showing myth currently has 11 episodes recorded

Changed 10 years ago by ryan.goat@…

Attachment: MythWeb_Upcoming_63eps.pdf added

screen shot showing myth is scheduled to record 63 more episodes

comment:1 Changed 10 years ago by gigem

Status: newinfoneeded_new

What is the output from running "select title,starttime,recordid from recorded where title like 'married%';" in mysql?

comment:2 in reply to:  1 Changed 10 years ago by ryan.goat@…

Replying to gigem:

What is the output from running "select title,starttime,recordid from recorded where title like 'married%';" in mysql?

mysql> select title,starttime,recordid from recorded where title like 'married%';
+---------------------------+---------------------+----------+
| title                     | starttime           | recordid |
+---------------------------+---------------------+----------+
| Married ... With Children | 2009-08-09 05:30:00 |      151 | 
| Married ... With Children | 2009-08-12 04:29:00 |      151 | 
| Married ... With Children | 2009-08-08 05:34:00 |      151 | 
| Married ... With Children | 2009-10-21 04:58:00 |      212 | 
| Married ... With Children | 2009-07-30 04:29:00 |      151 | 
| Married ... With Children | 2009-07-28 05:29:00 |      151 | 
| Married ... With Children | 2009-08-10 04:59:00 |      151 | 
| Married ... With Children | 2009-08-09 04:59:00 |      151 | 
| Married ... With Children | 2009-08-07 04:29:00 |      151 | 
| Married ... With Children | 2009-07-29 04:29:00 |      151 | 
| Married ... With Children | 2009-10-21 03:58:00 |      212 | 
+---------------------------+---------------------+----------+
11 rows in set (0.01 sec)

Humm, the two that recorded last night have different entries for recordid.

comment:3 Changed 10 years ago by Dibblah

Looks like you have two rules which are matching the episodes.

Did you by any chance recently recreate the recording rule?

select * from record where (recordid=151 or recordid=212);

will show you the recording rules that created these records.

comment:4 Changed 10 years ago by Dibblah

212 is the rule shown in your screenshots.

The behavior of showing that it will record every episode that's not already been recorded is expected until it gets to maxepisodes.

If indeed you recreated the rule, the entries with the old rule will not count towards the maxepisodes count.

comment:5 in reply to:  4 Changed 10 years ago by anonymous

Replying to Dibblah:

212 is the rule shown in your screenshots.

The behavior of showing that it will record every episode that's not already been recorded is expected until it gets to maxepisodes.

If indeed you recreated the rule, the entries with the old rule will not count towards the maxepisodes count.

I have had this problem for weeks. The old recording rule was set to max recordings: 10. Yesterday there were twenty episodes recorded. I deleted eleven of them. Then I removed the old recording rule and made a new one. The new recording rule has the same exact settings as the old recording rule (max episodes ten).

I will wait until the new recording rule reaches ten episodes and see what happens. Please close this ticket. I will request it reopened if I see the fail again.

But this brings up a related topic. The maximum number of episodes being tied to the specific recording rule is counter intuitive. I assumed it was tied to the tribune/schedules direct unique title id for the show. In fact I think that is how it use to work. I'm sure I'm not the last user who will be confused by this logic.

comment:6 Changed 10 years ago by Dibblah

Resolution: invalid
Status: infoneeded_newclosed

Unfortunately, not all datasources provide unique information on shows.

comment:7 Changed 10 years ago by stuartm

Breaking the rules on discussions in tickets when they belong on the mailing list, so I apologise in advance.

I think it's important to explain why the max episodes is tied to the recording rule and not the title/programme id. Lets say you are a big fan of Scrubs, you want to recorded the entire new series on Thursday nights at 8pm, so you setup a timeslot recording with no episode limit. You also like watching old repeats from the early seasons which are shown every day at 3pm so you setup another daily timeslot rule, but because these are repeats you don't want to record every last one and you set a max episode limit of 5. If the episode limit was based on the title or programme id the second rule would quickly prevent the new series from being recorded (or cause the episodes to expire) and that clearly isn't what the user expects to happen.

This ticket highlights why it's better to modify an old rule instead of deleting it and creating a new one.

Note: See TracTickets for help on using tickets.